<?php

namespace Teknisa\DF\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Zeedhi\Framework\Controller\Report;

/**
 * Class EmissaoBoletoController
 * @package Teknisa\GER\Modules\Financeiro\Controllers
 */
class EmissaoBoletoController extends Report{

    protected $environment;

    public function __construct($reportService) {
        parent::__construct($reportService);
    }

    protected $reportMapping = array (
        'Modelo_Banrisul' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'CDFILIAL'  => 'CDFILIAL',
                        'NRLANBOLREC'   => 'NRLANBOLREC',
                        'NRORG'   => 'NRORG'
                    ),
            ),

        'MODELO_SICREDI' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'CDFILIAL'  => 'CDFILIAL',
                        'NRLANBOLREC'   => 'NRLANBOLREC',
                        'NRORG'   => 'NRORG'
                    ),
            ),


        'ModBolComp_Santander' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'CDFILIAL'  => 'CDFILIAL',
                        'NRLANBOLREC'   => 'NRLANBOLREC',
                        'NRORG'   => 'NRORG'
                    ),
            ),

        'MODELOBOL_BRADESCO' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'CDFILIAL'  => 'CDFILIAL',
                        'NRLANBOLREC'   => 'NRLANBOLREC',
                        'NRORG'   => 'NRORG'
                    ),
            ),

        'ModeloBol_Santander' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'CDFILIAL'  => 'CDFILIAL',
                        'NRLANBOLREC'   => 'NRLANBOLREC',
                        'NRORG'   => 'NRORG'
                    ),
            ),

        'ModeloBolComp' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'CDFILIAL'  => 'CDFILIAL',
                        'NRLANBOLREC'   => 'NRLANBOLREC',
                        'NRORG'   => 'NRORG'
                    ),
            ),

        'modelobolcomp_banrisul' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'CDFILIAL'  => 'CDFILIAL',
                        'NRLANBOLREC'   => 'NRLANBOLREC',
                        'NRORG'   => 'NRORG'
                    ),
            ),

        'MODELOBOLCOMITAU' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'CDFILIAL'  => 'CDFILIAL',
                        'NRLANBOLREC'   => 'NRLANBOLREC',
                        'NRORG'   => 'NRORG'
                    ),
            ),

        'ModeloBolComp_SICOOB' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'CDFILIAL'  => 'CDFILIAL',
                        'NRLANBOLREC'   => 'NRLANBOLREC',
                        'NRORG'   => 'NRORG'
                    ),
            ),

        'ModeloBolCompCaixa' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'CDFILIAL'  => 'CDFILIAL',
                        'NRLANBOLREC'   => 'NRLANBOLREC',
                        'NRORG'   => 'NRORG'
                    ),
            ),

        'ModeloBolCompPort' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'CDFILIAL'  => 'CDFILIAL',
                        'NRLANBOLREC'   => 'NRLANBOLREC',
                        'NRORG'   => 'NRORG'
                    ),
            ),

        'ModeloBolCompSafra' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'CDFILIAL'  => 'CDFILIAL',
                        'NRLANBOLREC'   => 'NRLANBOLREC',
                        'NRORG'   => 'NRORG'
                    ),
            ),

        'ModeloBolComp_Santander' =>
            array (
                'strategy' => 'BIRT',
                'parameterMapping' =>
                    array (
                        'CDFILIAL'  => 'CDFILIAL',
                        'NRLANBOLREC'   => 'NRLANBOLREC',
                        'NRORG'   => 'NRORG'
                    ),
            )

    );

}