<?php
namespace Teknisa\DF\Modules\Relatorios\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;

class Dfe23000ComprasRealizadasPorMes extends \Teknisa\DF\Controllers\TeknisaCrud {

    protected $dataSourceName = "notafiscal_compras_realizadas";
    protected $parameterBagColumns = ["CDFILIAL","DTINICIAL","DTFINAL","CDPRODINI","CDPRODFIM",
                                     "DTENTRSAIDINI", "DTENTRSAIDFIN", "T_DTENTRSAID", 
                                     "DTEMISSAOINI", "DTEMISSAOFIN", "T_DTEMISSAO"];
    protected $Dfe23000Service;
    
    public function __construct($crudService, $parameterBag, $Dfe23000Service){
        parent::__construct($crudService, $parameterBag);
        $this->Dfe23000Service = $Dfe23000Service;
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        parent::find($request, $response);
        $dataSets = $response->getDataSets();
        $rows = $dataSets[0]->getRows();
        $routePath = $request->getRoutePath();
        if($routePath === '/notafiscal_compras_realizadas'){
            $newRows = $this->Dfe23000Service->buildValorTotal($rows);
        } else if($routePath === '/notafiscal_compras_realizadas_report_data'){
            $newRows = $this->Dfe23000Service->formatRowsByReportData($rows);
        } else if($routePath === '/notafiscal_compras_realizadas_report_prod'){
            $newRows = $this->Dfe23000Service->formatRowsByReportProd($rows);
        }
        $newDataSet = $this->Dfe23000Service->buildDataSet($this->dataSourceName, $newRows);
        $response->setDataSets(array($newDataSet));
    }

}