<?php
namespace Teknisa\DF\Services;

use Teknisa\Libs\Util\Environment;
use Teknisa\DF\Factories\Ger10200ParametrosGrupoFiscalFactory;

class Ger10200ParametrosGrupoFiscalService{

	protected $environment;
	protected $entityManager;
	protected $dataSourceManager;
	protected $ger10200ParametrosGrupoFiscalFactory;

	public function __construct(Environment $environment, \Doctrine\ORM\EntityManager $entityManager ,$dataSourceManager, Ger10200ParametrosGrupoFiscalFactory $ger10200ParametrosGrupoFiscalFactory){
		$this->environment = $environment;
		$this->entityManager = $entityManager;
		$this->dataSourceManager = $dataSourceManager;
		$this->ger10200ParametrosGrupoFiscalFactory = $ger10200ParametrosGrupoFiscalFactory;
	}

	public function buscar($condicao){
		return $this->dataSourceManager->findBy($condicao);
	}
	public function deletar($dataSet){
    $this->dataSourceManager->delete($dataSet);
	}
	
	public function updateAllFornecedores ($grupoFiscal){
		$params = array();
		$params["CDGRUPOFISC"] = $grupoFiscal;
		$this->ger10200ParametrosGrupoFiscalFactory->changeFornecedor($params);
	}
	
	public function updateAllClientes ($grupoFiscal){
		$params = array();
		$params["CDGRUPOFISC"] = $grupoFiscal;
		$this->ger10200ParametrosGrupoFiscalFactory->changeCliente($params);
	}
	
	public function updateAllFilial ($grupoFiscal){
		$params = array();
		$params["CDGRUPOFISC"] = $grupoFiscal;
		$this->ger10200ParametrosGrupoFiscalFactory->changeFilial($params);
	}
	
	public function updateAllTipoOperacao ($grupoFiscal){
		$params = array();
		$params["CDGRUPOFISC"] = $grupoFiscal;
		$this->ger10200ParametrosGrupoFiscalFactory->changeTipooperac($params);
	}
	
	public function updateAllTipoGestaoFiscal ($grupoFiscal){
		$params = array();
		$params["CDGRUPOFISC"] = $grupoFiscal;
		$this->ger10200ParametrosGrupoFiscalFactory->changeTpfaturfis($params);
	}
}